Loading...
Searching...
No Matches
Node Flags
LMDB Internals

## Macros

#define | F_BIGDATA 0x01
#define | F_SUBDATA 0x02
#define | F_DUPDATA 0x04
#define | NODE_ADD_FLAGS (F_DUPDATA|F_SUBDATA|MDB_RESERVE|MDB_APPEND)

## Detailed Description

Flags for node headers.

## Macro Definition Documentation

## F_BIGDATA

#define F_BIGDATA 0x01

data put on overflow page

## F_SUBDATA

#define F_SUBDATA 0x02

data is a sub-database

## F_DUPDATA

#define F_DUPDATA 0x04

data has duplicates

## NODE_ADD_FLAGS

#define NODE_ADD_FLAGS (F_DUPDATA|F_SUBDATA|MDB_RESERVE|MDB_APPEND)

valid flags for mdb_node_add()